Problem apt-get upgrade

Hi,

I attempted an apt-get upgrade which resulted in a number of packages hanging. Hitting enter after each package appears allows the process to complete with the following errors. Any ideas on how to remedy?

Thanks,

Tim

root@raspbx:/# apt-get -f install
Reading package lists… Done
Building dependency tree
Reading state information… Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
8 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up resolvconf (1.69ubuntu1.1) …
start: Job is already running: resolvconf
invoke-rc.d: initscript resolvconf, action “start” failed.
dpkg: error processing package resolvconf (–configure):
subprocess installed post-installation script returned error exit status 1
Setting up udev (204-5ubuntu20.3) …
start: Job is already running: udev
invoke-rc.d: initscript udev, action “restart” failed.
dpkg: error processing package udev (–configure):
subprocess installed post-installation script returned error exit status 1
Setting up dbus (1.6.18-0ubuntu4.1) …
start: Job is already running: dbus
invoke-rc.d: initscript dbus, action “start” failed.
dpkg: error processing package dbus (–configure):
subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of systemd-services:
systemd-services depends on udev (>= 175-0ubuntu23); however:
Package udev is not configured yet.
systemd-services depends on dbus; however:
Package dbus is not configured yet.
dpkg: error processing package systemd-services (–configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libpam-systemd:armhf:
libpam-systemd:armhf depends on systemd-services (= 204-5ubuntu20.3); however:
Package systemd-services is not configured yet.
dpkg: error processing package libpam-systemd:armhf (–configure):
dependency problems - leaving unconfigured
Setting up samba (2:4.1.6+dfsg-1ubuntu2.14.04.2) …
start: Job is already running: smbd
invoke-rc.d: initscript smbd, action “start” failed.
dpkg: error processing package samba (–configure):
subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of initramfs-tools:
initramfs-tools depends on udev (>= 147~-5); however:
Package udev is not configured yet.
dpkg: error processing package initramfs-tools (–configure):
dependency problems - leaving unconfigured
Setting up openssh-server (1:6.6p1-2ubuntu2) …
start: Job is already running: ssh

invoke-rc.d: initscript ssh, action “restart” failed.
dpkg: error processing package openssh-server (–configure):
subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
resolvconf
udev
dbus
systemd-services
libpam-systemd:armhf
samba
initramfs-tools
openssh-server
E: Sub-process /usr/bin/dpkg returned an error code (1)